Spigot QuickShop Reremake - 1.18 Ready - Multi Currency 5.1.0.6

A shop plugin that allows players to easily sell/buy any items from a chest without any commands.

  1. The information on the sign cannot be changed. Version is 5.1.0.2
     
  2. sandtechnology updated QuickShop Reremake - 1.18 Ready - Multi Currency with a new update entry:

    Enhanced Jar verify, Always counting feature, Bug fixes and Improvements!

    Read the rest of this update entry...
     
  3. is there a way to use this plugin whit this one: "QAV 2"
     
  4. What can i do please ?
     
  5. I have updated my server to 1.18. So now I also have the latest Quickshop version installed (5.1.0.3). But since then I can no longer select my language...

    It always comes the error message:
    Fallback en_us to default game-language locale caused by QuickShop doesn't support this locale

    Why?
    I have been translating the text file for my server individually for years. I took the original English one (version 63) and adapted my old file to it. There is no yaml error or anything else. As soon as I debug /qs and want to use the override system I get this error message.
    I can take the prefabricated translation but I do not want to use it! My translation is also not suitable for other servers.
    In previous versions, this also worked why not now?
     
  6. When I try to create a shop it says "invalid argument use /qs to see list of commands. What did I do wrong or not set up right?
     
  7. sandtechnology updated QuickShop Reremake - 1.18 Ready - Multi Currency with a new update entry:

    Bug Fixes and some new features

    Read the rest of this update entry...
     
  8. [12:38:51] [Server thread/WARN]: [QuickShop] Failed load shop data, because target config can't deserialize the ItemStack
    org.bukkit.configuration.InvalidConfigurationException: Exception in deserialize item
    at org.maxgamer.quickshop.util.Util.deserialize(Util.java:368) ~[[快捷商店]QuickShop-5.1.0.4.jar:?]
    at org.maxgamer.quickshop.shop.ShopLoader$ShopDatabaseInfo.deserializeItem(ShopLoader.java:456) ~[[快捷商店]QuickShop-5.1.0.4.jar:?]
    at org.maxgamer.quickshop.shop.ShopLoader$ShopDatabaseInfo.<init>(ShopLoader.java:444) ~[[快捷商店]QuickShop-5.1.0.4.jar:?]
    at org.maxgamer.quickshop.shop.ShopLoader.loadShops(ShopLoader.java:112) ~[[快捷商店]QuickShop-5.1.0.4.jar:?]
    at org.maxgamer.quickshop.shop.ShopLoader.loadShops(ShopLoader.java:81) ~[[快捷商店]QuickShop-5.1.0.4.jar:?]
    at org.maxgamer.quickshop.QuickShop.onEnable(QuickShop.java:960) ~[[快捷商店]QuickShop-5.1.0.4.jar:?]
    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:264) ~[purpur-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:370) ~[purpur-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:500) ~[purpur-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.bukkit.craftbukkit.v1_18_R1.CraftServer.enablePlugin(CraftServer.java:564) ~[purpur-1.18.1.jar:git-Purpur-1533]
    at org.bukkit.craftbukkit.v1_18_R1.CraftServer.enablePlugins(CraftServer.java:478) ~[purpur-1.18.1.jar:git-Purpur-1533]
    at net.minecraft.server.MinecraftServer.loadWorld0(MinecraftServer.java:732) ~[purpur-1.18.1.jar:git-Purpur-1533]
    at net.minecraft.server.MinecraftServer.loadLevel(MinecraftServer.java:508) ~[purpur-1.18.1.jar:git-Purpur-1533]
    at net.minecraft.server.dedicated.DedicatedServer.initServer(DedicatedServer.java:349) ~[purpur-1.18.1.jar:git-Purpur-1533]
    at net.minecraft.server.MinecraftServer.runServer(MinecraftServer.java:1218) ~[purpur-1.18.1.jar:git-Purpur-1533]
    at net.minecraft.server.MinecraftServer.lambda$spin$1(MinecraftServer.java:322) ~[purpur-1.18.1.jar:git-Purpur-1533]
    at java.lang.Thread.run(Thread.java:833) ~[?:?]
    Caused by: org.yaml.snakeyaml.error.YAMLException: Could not deserialize object
    at org.bukkit.configuration.file.YamlConstructor$ConstructCustomObject.construct(YamlConstructor.java:50) ~[purpur-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructObjectNoCheck(BaseConstructor.java:230) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructObject(BaseConstructor.java:220) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructMapping2ndStep(BaseConstructor.java:480) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.SafeConstructor.constructMapping2ndStep(SafeConstructor.java:190) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructMapping(BaseConstructor.java:461) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.SafeConstructor$ConstructYamlMap.construct(SafeConstructor.java:556) ~[snakeyaml-1.30.jar:?]
    at org.bukkit.configuration.file.YamlConstructor$ConstructCustomObject.construct(YamlConstructor.java:39) ~[purpur-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructObjectNoCheck(BaseConstructor.java:230) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructObject(BaseConstructor.java:220) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructMapping2ndStep(BaseConstructor.java:480) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.SafeConstructor.constructMapping2ndStep(SafeConstructor.java:190) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructMapping(BaseConstructor.java:461) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.SafeConstructor$ConstructYamlMap.construct(SafeConstructor.java:556) ~[snakeyaml-1.30.jar:?]
    at org.bukkit.configuration.file.YamlConstructor$ConstructCustomObject.construct(YamlConstructor.java:39) ~[purpur-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructObjectNoCheck(BaseConstructor.java:230) ~[snakeyaml-1.30.jar:?]
    at org.yaml.snakeyaml.constructor.BaseConstructor.constructObject(BaseConstructor.java:220) ~[snakeyaml-1.30.jar:?]
    at org.bukkit.configuration.file.YamlConstructor.construct(YamlConstructor.java:27) ~[purpur-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.bukkit.configuration.file.YamlConfiguration.fromNodeTree(YamlConfiguration.java:158) ~[purpur-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.bukkit.configuration.file.YamlConfiguration.loadFromString(YamlConfiguration.java:115) ~[purpur-api-1.18.1-R0.1-SNAPSHOT.jar:?]
    at org.maxgamer.quickshop.util.Util.deserialize(Util.java:365) ~[[快捷商店]QuickShop-5.1.0.4.jar:?]
    ... 16 more
     
  9. The problem is that some shops in the server have failed
     
  10. 不能为玩家提供由权限组创建的不同数量的商店
     
  11. please add support for 1.18.2
     
  12. please make an addon for bluemap
     
  13. sandtechnology updated QuickShop Reremake - 1.18 Ready - Multi Currency with a new update entry:

    Bug fixes and tips about original developer Ghost_chu

    Read the rest of this update entry...
     
  14. @sandtechnology Didn't Ghost_Chu stopped developing/working on Quickshop before o_O?
     
  15. sandtechnology updated QuickShop Reremake - 1.18 Ready - Multi Currency with a new update entry:

    Bug Fixes and some new features

    Read the rest of this update entry...
     
  16. the shop is locked ???????????????????????????
    how to fix it I try but doesn't find any thing
     
  17. Please use /qs create [price] to create a shop, the behavior has changed
     
    • Friendly Friendly x 1
  18. The issue should be fixed after you comments, please let me know if this still not fixed, also there are the link for using static language
    https://github.com/PotatoCraft-Studio/QuickShop-Reremake/wiki/Use-static-language-for-QuickShop